QuickBooks Online OAuth redirect target
GET
/api/integrations/qbo/oauth-callback
const url = 'https://api.getvespy.com/api/integrations/qbo/oauth-callback';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.getvespy.com/api/integrations/qbo/oauth-callbackBrowser-facing redirect target for the QuickBooks Online OAuth consent flow. Not called directly by API clients; always responds with a redirect back to the returnUrl carried in the signed state parameter.
Responses
Section titled “Responses”Empty body; the browser is redirected back to the caller returnUrl.
Media typeapplication/json
Empty body; the browser is redirected back to the caller returnUrl.
object
Examplegenerated
{}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}